package cashmachine.api;

import cashmachine.model.Bill;

/**
 * The physical functionality of the cash machine.
 */
public interface MachineConnector
{
	/**
	 * Adds {@code amount} times the given {@code bill} to the money tray.
	 */
	void dispenseBill(Bill bill, int amount);

	/**
	 * Opens the money tray for the user to take his money.
	 */
	void openMoneyTray();
}
