package cashmachine;

import java.util.Arrays;

import org.junit.Before;

import cashmachine.api.AccountService;
import cashmachine.impl.SimpleAccountService;
import cashmachine.model.Account;

public class SimpleAccountServiceTest
{
	private static final int AC1_ID = 1;
	private static final int AC1_PIN = 11;
	private static final int AC1_BALANCE = 1000;
	private static final int AC1_LIMIT = 100;
	private static final int AC2_ID = 2;
	private static final int AC2_PIN = 22;
	private static final int AC2_BALANCE = 1000;
	private static final int AC2_LIMIT = 1000;
	private static final int INVALID_ID = 3;

	private AccountService as;

	@Before
	public void setup() {
		Account ac1 = new Account(AC1_ID, AC1_PIN, AC1_BALANCE, AC1_LIMIT, Arrays.asList(AC1_ID, AC2_ID));
		Account ac2 = new Account(AC2_ID, AC2_PIN, AC2_BALANCE, AC2_LIMIT, Arrays
				.<Integer> asList());
		as = new SimpleAccountService(Arrays.asList(ac1, ac2));
	}

	// TODO put your tests here
}
